Skip Menu |
 

This queue is for tickets about the Module-FromPerlVer CPAN distribution.

Report information
The Basics
Id: 124732
Status: resolved
Priority: 0/
Queue: Module-FromPerlVer

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in:
  • 0.003001
  • 0.004001
  • 0.004002
  • 0.004003
Fixed in: (no value)



Subject: Invalid version format (non-numeric data) (0.003001)
Download (untitled) / with headers
text/plain 1.2k
On some smokers tests fail: ... # Require succeeds: VERSION = 0.001000 # Failed test 'Failed import: Invalid version format (non-numeric data) at /usr/home/eserte/.cpan/build/2018030818/Module-FromPerlVer-0.003001-5/blib/lib/Module/FromPerlVer.pm line 206. # ' # at t/01-default-args.t line 28. Invalid version format (non-numeric data) at t/01-default-args.t line 41. # Tests were run but no plan was declared and done_testing() was not seen. # Looks like your test exited with 255 just after 8. t/01-default-args.t ............ Dubious, test returned 255 (wstat 65280, 0xff00) Failed 1/8 subtests # Failed test 'use Module::FromPerlVer;' # at t/10-dir-defaults-no_copy.t line 8. # Tried to use 'Module::FromPerlVer'. # Error: Invalid version format (non-numeric data) at /usr/home/eserte/.cpan/build/2018030818/Module-FromPerlVer-0.003001-5/blib/lib/Module/FromPerlVer.pm line 206. # BEGIN failed--compilation aborted at t/10-dir-defaults-no_copy.t line 8. Bailout called. Further testing stopped: Module::FromPerlVer is not usable. FAILED--Further testing stopped: Module::FromPerlVer is not usable. *** [test_dynamic] Error code 255 ... On a first glance it seems to happen on older linux systems (debian/wheezy, CentOS6).
On 2018-03-08 14:30:04, SREZIC wrote: Show quoted text
> On some smokers tests fail: > > ... > # Require succeeds: VERSION = 0.001000 > > # Failed test 'Failed import: Invalid version format (non-numeric > data) at /usr/home/eserte/.cpan/build/2018030818/Module-FromPerlVer- > 0.003001-5/blib/lib/Module/FromPerlVer.pm line 206. > # ' > # at t/01-default-args.t line 28. > Invalid version format (non-numeric data) at t/01-default-args.t line > 41. > # Tests were run but no plan was declared and done_testing() was not > seen. > # Looks like your test exited with 255 just after 8. > t/01-default-args.t ............ > Dubious, test returned 255 (wstat 65280, 0xff00) > Failed 1/8 subtests > > # Failed test 'use Module::FromPerlVer;' > # at t/10-dir-defaults-no_copy.t line 8. > # Tried to use 'Module::FromPerlVer'. > # Error: Invalid version format (non-numeric data) at > /usr/home/eserte/.cpan/build/2018030818/Module-FromPerlVer-0.003001- > 5/blib/lib/Module/FromPerlVer.pm line 206. > # BEGIN failed--compilation aborted at t/10-dir-defaults-no_copy.t > line 8. > Bailout called. Further testing stopped: Module::FromPerlVer is not > usable. > FAILED--Further testing stopped: Module::FromPerlVer is not usable. > *** [test_dynamic] Error code 255 > ... > > On a first glance it seems to happen on older linux systems > (debian/wheezy, CentOS6).
Ah, no, on CentOS6 there's a different problem: error: unknown option `list' usage: git tag [-a|-s|-u <key-id>] [-f] [-m <msg>|-F <file>] <tagname> [<head>] or: git tag -d <tagname>... or: git tag -l [-n[<num>]] [<pattern>] or: git tag -v <tagname>... -l list tag names -n[<n>] print <n> lines of each tag message -d delete tags -v verify tags Tag creation options -a annotated tag, needs a message -m <msg> message for the tag -F <FILE> message in a file -s annotated and GPG-signed tag -u <key-id> use another key to sign the tag -f, --force replace the tag if exists Tag listing options --contains <commit> print only tags that contain the commit # Failed test 'use Module::FromPerlVer;' # at t/20-git-defaults-5.5.3.t line 39. # Tried to use 'Module::FromPerlVer'. # Error: No tags like 'perl/*' found. # BEGIN failed--compilation aborted at t/20-git-defaults-5.5.3.t line 39. Bailout called. Further testing stopped: Module::FromPerlVer is not usable. FAILED--Further testing stopped: Module::FromPerlVer is not usable. make: *** [test_dynamic] Error 255 And the test log on Debian/wheezy looks like this: Previous HEAD position was f602a53... perl 5.888_888 release HEAD is now at 783a036... 5.005003 release # Failed test 'Branch: '* (no branch)' (perl/v5.5.3)' # at t/20-git-defaults-5.5.3.t line 62. # '* (no branch)' # doesn't match '(?^x: [*] .+ perl/v5.5.3 )' # Looks like you failed 1 test of 4. t/20-git-defaults-5.5.3.t ...... Dubious, test returned 1 (wstat 256, 0x100) Failed 1/4 subtests Previous HEAD position was 783a036... 5.005003 release HEAD is now at f602a53... perl 5.888_888 release # Failed test 'Branch: '* (no branch)' (perl/v5.888.888)' # at t/21-git-defaults-5.888.888.t line 62. # '* (no branch)' # doesn't match '(?^x: [*] .+ perl/v5.888.888 )' # Looks like you failed 1 test of 4. t/21-git-defaults-5.888.888.t .. Dubious, test returned 1 (wstat 256, 0x100) Failed 1/4 subtests Previous HEAD position was f602a53... perl 5.888_888 release HEAD is now at bbb0996... fix version # Failed test 'Branch: '* (no branch)' (perl/v5.999.999)' # at t/22-git-defaults-5.999.999.t line 58. # '* (no branch)' # doesn't match '(?^x: [*] .+ perl/v5.999.999 )' # Looks like you failed 1 test of 3. t/22-git-defaults-5.999.999.t .. Dubious, test returned 1 (wstat 256, 0x100) Failed 1/3 subtests Previous HEAD position was bbb0996... fix version HEAD is now at f602a53... perl 5.888_888 release t/23-git-defaults-5.888.999.t .. ok The above happens with an older perl (5.8.9).
Fixed typo in code. No idea how it worked here.
Download (untitled) / with headers
text/plain 126b
On 2018-03-08 16:37:36, LEMBARK wrote: Show quoted text
> Fixed typo in code. > No idea how it worked here.
I don't see a change in 0.004002.
Bug in old test. This version has been deleted from CPAN.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.